This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 488397 - Review Request: ghc-tar - Reading, writing and manipulating ".tar" archive files in Haskell
Review Request: ghc-tar - Reading, writing and manipulating ".tar" archive fi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
ready
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 22:49 EST by Yaakov Nemoy
Modified: 2014-01-02 00:53 EST (History)
6 users (show)

See Also:
Fixed In Version: 0.3.0.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 00:26:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bos: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yaakov Nemoy 2009-03-03 22:49:48 EST
Spec URL: http://ynemoy.fedorapeople.org/review/ghc-tar.spec
SRPM URL: http://ynemoy.fedorapeople.org/review/ghc-tar-0.3.0.0-1.fc10.src.rpm
Description: This library is for working with ".tar" archive files. It can read and write a range of common variations of archive format including V7, USTAR, POSIX and GNU formats. It provides support for packing and unpacking portable archives. This makes it suitable for distribution but not backup because details like file ownership and exact permissions are not preserved.
Comment 1 Jerry James 2009-04-23 16:45:31 EDT
When I tried to build this package on an x86_64 F-10 machine, rpmbuild reported:

Processing files: ghc-tar-devel-0.3.0.0-1.fc10
error: Could not open %files file /home/jamesjer/rpmbuild/BUILD/tar-0.3.0.0/ghc-tar-devel.files: No such file or directory


RPM build errors:
    Could not open %files file /home/jamesjer/rpmbuild/BUILD/tar-0.3.0.0/ghc-tar-devel.files: No such file or directory


I am not familiar with the various %ghc* macros.  What is supposed to create ghc-tar-devel.files?  I see that ghc-tar-prof.files got created.

During the build, haddock was invoked, but I don't see it listed in the BuildRequires.  Also, I see this in the build output:

Running Haddock for tar-0.3.0.0...
Warning: The documentation for the following packages are not installed. No
links will be generated to these packages: rts-1.0

Should something else be listed in BuildRequires to pull in the documentation for rts-1.0 for linking?  If so, will that same thing also be a Requires?
Comment 2 Yaakov Nemoy 2009-04-27 18:11:02 EDT
This package won't build on F-10, because F-10 uses an older version of the macros. The current release of the macros uses -devel in order to be ready for future releases of GHC, which will use shared libraries. I doubt F-10 will ever see that.

I'm guessing tar may be dependant on rts, which would be a BR. I will look into it.
Comment 3 Jens Petersen 2009-05-19 03:32:59 EDT
Please always CC fedora-haskell-list for haskell package reviews.
Comment 5 Jens Petersen 2009-06-20 20:00:39 EDT
cabal2spec-diff looks fine.
Comment 6 Yaakov Nemoy 2009-07-16 04:34:53 EDT
Ping?
Comment 7 Bryan O'Sullivan 2009-08-12 13:07:47 EDT
#  MUST: rpmlint must be run on every package. The output should be posted in the review.

All pass cleanly, with a few warnings that are expected given Haskell packaging issues.

# MUST: The package must be named according to the Package Naming Guidelines .

Yes.

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .

Yes.

# MUST: The package must meet the Packaging Guidelines .

Yes.

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

BSD.

# MUST: The License field in the package spec file must match the actual license. [3]

Yes.

# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]

Yes.

# MUST: The spec file must be written in American English. [5]

Yes.

# MUST: The spec file for the package MUST be legible. [6]

Yes.

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

Yes.

# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]

Yes.

# MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]

Yes.

# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

Yes.

# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

N/A.

# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]

N/A.

# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [11]

N/A.

# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [12]

Yes.

# MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [13]

Yes.

# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [14]

Yes.

# MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [15]

Yes.

# MUST: Each package must consistently use macros. [16]

Yes.

# MUST: The package must contain code, or permissable content. [17]

Yes.

# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]

Yes.

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]

Yes.

# MUST: Header files must be in a -devel package. [19]

Yes.

# MUST: Static libraries must be in a -static package. [20]

N/A.

# MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). [21]

N/A.

# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]

N/A.

# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [22]

N/A.

# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]

N/A.

# MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [23]

N/A.

# MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [24]

Yes.

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [25]

Yes.

# MUST: All filenames in rpm packages must be valid UTF-8. [26]

Yes.

This package is APPROVED.
Comment 8 Yaakov Nemoy 2009-08-20 06:50:17 EDT
New Package CVS Request
=======================
Package Name: ghc-tar
Short Description: Reading, writing and manipulating ".tar" archive files in Haskell
Owners: 
Branches: F-11 F-12
InitialCC: fedora-haskell-list
Comment 9 Jason Tibbitts 2009-08-20 13:36:06 EDT
Owners: is blank in the above CVS request, we cannot create F-12 branches yes, and there seems to be no FAS ID "fedora-haskell-list".

Please resubmit a corrected CVS request.
Comment 10 Jens Petersen 2009-08-20 21:33:52 EDT
Yaakov, it's "haskell-sig".
Comment 11 Yaakov Nemoy 2009-08-21 05:39:00 EDT
New Package CVS Request
=======================
Package Name: ghc-tar
Short Description: Reading, writing and manipulating ".tar" archive files in
Haskell
Owners: ynemoy, petersen, bos
Branches: F-11 F-12
InitialCC: haskell-sig
Comment 12 Dennis Gilmore 2009-08-21 14:21:51 EDT
CVS Done

you cant request F-12 branches yet

for future reference please dont put commas between usernames
Comment 13 Fedora Update System 2009-08-23 12:26:01 EDT
ghc-tar-0.3.0.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ghc-tar-0.3.0.0-2.fc11
Comment 14 Fedora Update System 2009-08-25 00:26:05 EDT
ghc-tar-0.3.0.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Jens Petersen 2012-05-14 01:11:49 EDT
Package Change Request
======================
Package Name: ghc-tar
New Branches: el6
Owners: mathstuff petersen
InitialCC: haskell-sig
Comment 16 Jens Petersen 2012-05-14 01:12:40 EDT
Sorry I misspelt Ben's id:

Package Change Request
======================
Package Name: ghc-tar
New Branches: el6
Owners: mathstuf petersen
InitialCC: haskell-sig
Comment 17 Jon Ciesla 2012-05-14 08:01:20 EDT
Git done (by process-git-requests).
Comment 18 Jens Petersen 2013-12-27 08:30:35 EST
Package Change Request
======================
Package Name: ghc-tar
New Branches: el5
Owners: mathstuf petersen
InitialCC: haskell-sig
Comment 19 Jens Petersen 2014-01-02 00:53:11 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.